Mudar o modo do espaço
PUT/api/forms/spaces/{spaceId}
- Auth
- Token erforderlich
- API-Schlüssel:
- Kein API-Schlüssel möglich
- X-CommunityId
X-CommunityIdSende die X-CommunityId der Community, in der die Operation stattfindet.
Die Beschreibungen der Endpoints stammen aus der API-Spezifikation und sind vorerst auf Portugiesisch. Die Oberfläche drumherum ist übersetzt.
Owner e admin. Para `single` com 2 ou mais formulários, 409.
Parameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
spaceIdPflicht | path | string (uuid) |
Header
| Name | Typ | Beschreibung |
|---|---|---|
X-CommunityIdoptional | string (uuid) | ID da comunidade em que a operação acontece. Obrigatório na maioria dos endpoints com escopo de comunidade. |
Request-Body application/json
| Name | Typ | Beschreibung |
|---|---|---|
modePflicht | single | multi |
Antworten
| Status | Beschreibung |
|---|---|
200 | Modo gravado (`{ spaceId, mode }`). |
403 | Autenticado, mas sem permissão para esta operação. |
409 | Mais de um formulário no espaço. |
422 | Espaço que não é de formulários. |
curl-Beispiel
curl -X PUT "https://api.memberfy.net/api/forms/spaces/<spaceId>" \
-H "Authorization: Bearer $TOKEN" \
-H "X-CommunityId: $COMMUNITY_ID" \
-H "Content-Type: application/json" \
-d '{"mode":"single"}'